Skip to main content
POST
/
v2
/
wallets
/
{id}
/
withdrawals
/
{withdrawalId}
/
cancel
Cancel a withdrawal
curl --request POST \
  --url https://sandbox.groundtech.co/v2/wallets/{id}/withdrawals/{withdrawalId}/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{ "id": "a1b2c3d4-0000-4000-8000-000000000001", "status": "cancelled", "cancelledAt": "2025-09-15T12:00:00.000Z" }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Wallet ID

withdrawalId
string<uuid>
required

Withdrawal ID

Body

application/json
requestId
string<uuid>

Optional client-generated idempotency key for the cancellation request.

Response

Withdrawal cancelled

id
string<uuid>

Withdrawal ID.

status
enum<string>

Always "cancelled".

Available options:
cancelled
cancelledAt
string<date-time>

ISO-8601 timestamp of when the withdrawal was cancelled.